Bug 734528 - kexec-tools: Add memory usage debugging capability in second kernel
Summary: kexec-tools: Add memory usage debugging capability in second kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools
Version: 6.2
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Cong Wang
QA Contact: Chao Ye
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-08-30 17:17 UTC by Vivek Goyal
Modified: 2013-09-30 02:26 UTC (History)
7 users (show)

Fixed In Version: kexec-tools-2_0_0-199_el6
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 18:19:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1532 normal SHIPPED_LIVE Moderate: kexec-tools security, bug fix, and enhancement update 2011-12-06 01:01:52 UTC

Description Vivek Goyal 2011-08-30 17:17:02 UTC
Description of problem:

Provide a kdump option so that memory usage can be logged in second kernel at various stages. This can be useful to determine how much memory is needed in second kernel and in debugging to figure out who is consuming most memory.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Vivek Goyal 2011-08-30 17:19:47 UTC
We are now going to ship little modified crashkernel=auto logic in kdump and we are hoping that will work out of the box on 80% of x86 configurations by default. If it does not above debugging aid should be useful to give some idea who is consuming the memory. So 6.2 sounds like the right time to ship it out in kexec-tools.

Comment 4 Américo Wang 2011-08-31 07:17:08 UTC
Hi, Vivek,

POST status is invalid for kexec-tools bugs. What's more, Jan's patch is against Fedora, doesn't apply to RHEL6, so I need to re-generate the patch.

Comment 12 Chao Ye 2011-09-19 07:20:27 UTC
Tested with RHEL6.2-20110907.+kernel-2.6.32-198.el6+kexec-tools-2.0.0-202.el6, all PASS:
===================================
0  PASS
1  PASS
2  PASS
3  PASS

https://beaker.engineering.redhat.com/jobs/133148

Change status to VERIFIED.

Comment 13 errata-xmlrpc 2011-12-06 18:19:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1532.html


Note You need to log in before you can comment on or make changes to this bug.